summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Brian Reichert <rignes@pobox.com>2010-05-11 20:00:35 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:35 +0200
commit9f5e4cf6efb2a068a7e64994052e902d314c7843 (patch)
tree0ed2672b58322e5b3d7c03a8c612f4cc2f904386 /graphics
parent9e8c4edf108698fd96ff54d17d7da8e0744b01dc (diff)
downloadslackbuilds-9f5e4cf6efb2a068a7e64994052e902d314c7843.tar.gz
slackbuilds-9f5e4cf6efb2a068a7e64994052e902d314c7843.tar.xz
graphics/comix: Added to 12.0 repository
Diffstat (limited to 'graphics')
-rw-r--r--graphics/comix/README9
-rw-r--r--graphics/comix/comix.SlackBuild38
-rw-r--r--graphics/comix/comix.info8
-rw-r--r--graphics/comix/slack-desc19
4 files changed, 74 insertions, 0 deletions
diff --git a/graphics/comix/README b/graphics/comix/README
new file mode 100644
index 0000000000..3517e9aca9
--- /dev/null
+++ b/graphics/comix/README
@@ -0,0 +1,9 @@
+Comix - GTK Comic Book Viewer
+
+Comix is a user-friendly, customizable image viewer. It is
+specifically designed to handle comic books, but also serves as a
+generic viewer. It reads images in ZIP, RAR or tar archives (also
+gzip or bzip2 compressed) as well as plain image files. It is written
+in Python and uses GTK+ through the PyGTK bindings.
+
+Dependencies: pil, pygtk, pycairo, pygobject, and unrar (optional)
diff --git a/graphics/comix/comix.SlackBuild b/graphics/comix/comix.SlackBuild
new file mode 100644
index 0000000000..fa8544996b
--- /dev/null
+++ b/graphics/comix/comix.SlackBuild
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+# Slackware build script for comix
+# Written by Brian Reichert <rignes@pobox.com>
+
+PRGNAM=comix
+VERSION=3.6.4
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG/usr $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+python install.py install --installdir $PKG/usr --no-mime --no-balloon || exit 1
+
+# Correct manpage location
+mv $PKG/usr/share/man $PKG/usr
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/graphics/comix/comix.info b/graphics/comix/comix.info
new file mode 100644
index 0000000000..3401bc7849
--- /dev/null
+++ b/graphics/comix/comix.info
@@ -0,0 +1,8 @@
+PRGNAM="comix"
+VERSION="3.6.4"
+HOMEPAGE="http://comix.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/comix/comix-3.6.4.tar.gz"
+MD5SUM="1ece2cde0057abf5913b0f2933d839ab"
+MAINTAINER="Brian Reichert"
+EMAIL="rignes@pobox.com"
+APPROVED="rworkman"
diff --git a/graphics/comix/slack-desc b/graphics/comix/slack-desc
new file mode 100644
index 0000000000..e8a3952a42
--- /dev/null
+++ b/graphics/comix/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+comix: Comix (GTK Comic Book Viewer)
+comix:
+comix: Comix is a user-friendly, customizable image viewer. It is
+comix: specifically designed to handle comic books, but also serves as a
+comix: generic viewer. It reads images in ZIP, RAR or tar archives (also
+comix: gzip or bzip2 compressed) as well as plain image files. It is
+comix: written in Python and uses GTK+ through the PyGTK bindings.
+comix:
+comix: Homepage: http://comix.sourceforge.net
+comix:
+comix: